package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.WelfareGuide;

/**
 * 小程序党建福利信息Mapper接口
 * 
 * @author ruoyi
 * @date 2022-07-14
 */
public interface WelfareGuideMapper 
{
    /**
     * 查询小程序党建福利信息
     * 
     * @param id 小程序党建福利信息主键
     * @return 小程序党建福利信息
     */
    public WelfareGuide selectWelfareGuideById(Long id);

    /**
     * 查询小程序党建福利信息列表
     * 
     * @param welfareGuide 小程序党建福利信息
     * @return 小程序党建福利信息集合
     */
    public List<WelfareGuide> selectWelfareGuideList(WelfareGuide welfareGuide);

    /**
     * 新增小程序党建福利信息
     * 
     * @param welfareGuide 小程序党建福利信息
     * @return 结果
     */
    public int insertWelfareGuide(WelfareGuide welfareGuide);

    /**
     * 修改小程序党建福利信息
     * 
     * @param welfareGuide 小程序党建福利信息
     * @return 结果
     */
    public int updateWelfareGuide(WelfareGuide welfareGuide);

    /**
     * 删除小程序党建福利信息
     * 
     * @param id 小程序党建福利信息主键
     * @return 结果
     */
    public int deleteWelfareGuideById(Long id);

    /**
     * 批量删除小程序党建福利信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWelfareGuideByIds(Long[] ids);

    WelfareGuide getInfoNew();
}
